%global pkg_name flask-babelex
%global mod_name Flask-BabelEx

Name:       python-%{pkg_name}
Version:    0.9.3
Release:    1%{?dist}
Summary:    Adds i18n/l10n support to Flask applications
License:    BSD
URL:        http://github.com/mrjoes/%{pkg_name}
Source0:    https://files.pythonhosted.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  python2-devel, python%{python3_pkgversion}-devel

%description
Adds i18n/l10n support to Flask applications with the help of the Babel library.

This is fork of official Flask-Babel extension with following features:

1 -  It is possible to use multiple language catalogs in one Flask application;
2 -  Your extension can package localization file(s) and use them if necessary;
3 -  Does not reload localizations for each request.


%package -n python2-%{pkg_name}
Summary:    Adds i18n/l10n support to Flask applications
BuildRequires: python2-flask
Requires: python2-flask
Requires: python2-babel
Requires: python2-speaklater
Requires: python2-jinja2


%{?python_provide:%python_provide python2-%{pkg_name}}

%description -n python2-%{pkg_name}
Adds i18n/l10n support to Flask applications with the help of the Babel library.

This is fork of official Flask-Babel extension with following features:

1 -  It is possible to use multiple language catalogs in one Flask application;
2 -  Your extension can package localization file(s) and use them if necessary;
3 -  Does not reload localizations for each request.

%package -n python%{python3_pkgversion}-%{pkg_name}
Summary:    Adds i18n/l10n support to Flask applications
BuildRequires:   python%{python3_pkgversion}-flask
Requires: python%{python3_pkgversion}-flask
Requires: python%{python3_pkgversion}-babel
Requires: python%{python3_pkgversion}-speaklater
Requires: python%{python3_pkgversion}-jinja2

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkg_name}}

%description -n python%{python3_pkgversion}-%{pkg_name}
Adds i18n/l10n support to Flask applications with the help of the Babel library.

This is fork of official Flask-Babel extension with following features:

1 -  It is possible to use multiple language catalogs in one Flask application;
2 -  Your extension can package localization file(s) and use them if necessary;
3 -  Does not reload localizations for each request.



%prep
%setup -q -n %{mod_name}-%{version}

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{pkg_name}
%doc README
%license LICENSE
%{python2_sitelib}/flask_babelex/
%{python2_sitelib}/Flask_BabelEx*.egg-info/


%files -n python%{python3_pkgversion}-%{pkg_name}
%doc README
%license LICENSE
%{python3_sitelib}/flask_babelex/
%{python3_sitelib}/Flask_BabelEx*.egg-info/


%changelog
* Thu Mar 01 2018 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.9.3-1
- Initial package
